import greenfoot.*; 
import java.awt.Color;
import java.awt.Font;
/**
 * Le score s'affiche  la fin, par-dessus le plateau de jeu.
 */
public class Score  extends Actor
{
    public int scoreRouge_ ;    
    public int scoreBleu_ ;
    private String winner;
    private String scoreWinner;
    private String scoreLoser;
    public Score() 
    {
        scoreRouge_ = 2;
        scoreBleu_ = 2;
    } 

    public void majScore(Coup coup)
    {
        switch (coup.getpf().getCouleur())
        {
            case ROUGE :
            scoreRouge_ = scoreRouge_ + coup.rendreListe().size() + 1;
            scoreBleu_ = scoreBleu_ - coup.rendreListe().size();
            break;
            case BLEU :
            scoreRouge_ = scoreRouge_ - coup.rendreListe().size();
            scoreBleu_ = scoreBleu_ + coup.rendreListe().size()+ 1;
            break;
        }
    }

    public Couleur gagnant()
    {
        if (scoreRouge_ > scoreBleu_)
            return Couleur.ROUGE;
        else if (scoreBleu_ > scoreRouge_)
            return Couleur.BLEU;
        else return null;
    }

    public Score(Score score_ )
    {
        if (score_.gagnant()==Couleur.ROUGE)
        {
            winner="The winner is red!";
            scoreWinner="Score: "+ score_.scoreRouge_+" for red,";
            scoreLoser="against "+score_.scoreBleu_+" for blue";
        }
        else if (score_.gagnant()==Couleur.BLEU)
        {
            winner="The winner is blue!";
            scoreWinner="Score: "+ score_.scoreBleu_+" for blue,";
            scoreLoser="against "+score_.scoreRouge_+" for red";
        }
        else
        {
            winner="  This a tie game!";
            scoreWinner="  Let's play again!";
            scoreLoser="  Score: 32 vs 32";
        }
        makeImage(winner, scoreWinner, scoreLoser);
    } 

    // Image de fin
    private void makeImage(String title, String winnerSc,String loserSc)
    {
        int WIDTH = 7*60;
        int HEIGHT = 5*60;

        GreenfootImage image = new GreenfootImage(WIDTH, HEIGHT);

        image.setColor(new Color(0, 0, 0,130));
        image.fillRect(60,60,WIDTH,HEIGHT);
        image.setColor(new Color(205, 205, 205,130));
        image.fillRect(65,65, WIDTH-70, HEIGHT-70);

        Font font = new Font("Arial",Font.BOLD,40);
        image.setFont(font);
        image.setColor(Color.WHITE);

        image.drawString(title, 67, 110);

        image.drawString(winnerSc, 67, 170);

        image.drawString(loserSc, 67, 230);
        setImage(image);
    }
}